package org.jtheque.books.services.impl.utils.config;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.jtheque.core.managers.state.AbstractState;

/**
 * The application's configuration.
 *
 * @author Baptiste Wicht
 */
public abstract class Configuration extends AbstractState {
    /**
     * Set the maximum of authors to import when me make an automatic add.
     *
     * @param value The maximum number of authors.
     */
    public final void setNumberOfAuthors(int value) {
        setProperty("numberOfAuthors", Integer.toString(value));
    }

    /**
     * Return the maximum numbers of authors to import when me make an automatic add.
     *
     * @return The maximum number of authors.
     */
    public final int getNumberOfAuthors() {
        return Integer.valueOf(getProperty("numberOfAuthors", "10"));
    }
}