package org.jtheque.books.view.able;

/*
 * This file is part of JTheque.
 * 	   
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License. 
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.jtheque.books.view.fb.BookFormBean;
import org.jtheque.core.managers.error.JThequeError;
import org.jtheque.primary.view.impl.listeners.CurrentObjectListener;

import javax.swing.JComponent;

import java.util.Collection;

/**
 * @author Baptiste Wicht
 */
public interface IOthersPanel extends CurrentObjectListener {
    void setEnabled(boolean enabled);

    /**
     * Fill the formbean with the informations of the panel.
     *
     * @param formBean The formbean to fill.
     */
    void fillFormBean(BookFormBean formBean);

    /**
     * Clear the view.
     */
    void clear();

    /**
     * Validate the view.
     *
     * @param errors The errors to fill.
     */
    void validate(Collection<JThequeError> errors);

    JComponent getImpl();
}
