package org.jtheque.books.view.fb;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.jtheque.core.utils.db.Note;
import org.jtheque.primary.controller.able.FormBean;
import org.jtheque.primary.od.CountryImpl;

/**
 * A form bean for an author.
 *
 * @author Baptiste Wicht
 */
public final class AuthorFormBean implements FormBean {
    private String name;
    private String firstname;
    private CountryImpl country;
    private Note note;

    /**
     * Set the name of the author.
     *
     * @param name The name of the author.
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * Set the firstname of the author.
     *
     * @param firstname The first name of the author.
     */
    public void setFirstName(String firstname) {
        this.firstname = firstname;
    }

    /**
     * Set the note of the realizer.
     *
     * @param note The note to set.
     */
    public void setNote(Note note) {
        this.note = note;
    }

    /**
     * Set the country of the realizer.
     *
     * @param country The country to set.
     */
    public void setCountry(CountryImpl country) {
        this.country = country;
    }

    /**
     * Return the name of the author.
     *
     * @return The name of the author.
     */
    public String getName() {
        return name;
    }

    /**
     * Return the firstname of the author.
     *
     * @return The firstname of the author.
     */
    public String getFirstName() {
        return firstname;
    }

    /**
     * Return the note of the realizer.
     *
     * @return the note.
     */
    public Note getNote() {
        return note;
    }

    /**
     * Return the country of the realizer.
     *
     * @return the country.
     */
    public CountryImpl getCountry() {
        return country;
    }
}