package org.jtheque.books.view.models;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.jtheque.books.services.impl.utils.web.BookResult;
import org.jtheque.core.managers.view.able.components.IModel;
import org.jtheque.utils.collections.CollectionUtils;

import java.util.List;

/**
 * A model for the auto add view.
 *
 * @author Baptiste Wicht
 */
public final class AutoAddModel implements IModel {
    private List<BookResult> results;

    /**
     * Return the results of the search.
     *
     * @return A list of the results of the search.
     */
    public List<BookResult> getResults() {
        return results;
    }

    /**
     * Set the results of the search.
     *
     * @param results The results to set.
     */
    public void setResults(List<BookResult> results) {
        this.results = CollectionUtils.copyOf(results);
    }
}